package kr.iotdoor.boot.model.user;

import jakarta.validation.constraints.Email;
import jakarta.validation.constraints.NotBlank;

public class AdminUserForm {

    private String userIdntfNo;

    @NotBlank(message = "아이디는 필수입니다.")
    private String userId;

    @NotBlank(message = "이름은 필수입니다.")
    private String userNm;

    @NotBlank(message = "이메일은 필수입니다.")
    @Email(message = "이메일 형식이 올바르지 않습니다.")
    private String emlAddr;

    private String userTypeCd = "USR";

    private String userSttsCd = "A";

    private String password;

    public String getUserIdntfNo() {
        return userIdntfNo;
    }

    public void setUserIdntfNo(String userIdntfNo) {
        this.userIdntfNo = userIdntfNo;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserNm() {
        return userNm;
    }

    public void setUserNm(String userNm) {
        this.userNm = userNm;
    }

    public String getEmlAddr() {
        return emlAddr;
    }

    public void setEmlAddr(String emlAddr) {
        this.emlAddr = emlAddr;
    }

    public String getUserTypeCd() {
        return userTypeCd;
    }

    public void setUserTypeCd(String userTypeCd) {
        this.userTypeCd = userTypeCd;
    }

    public String getUserSttsCd() {
        return userSttsCd;
    }

    public void setUserSttsCd(String userSttsCd) {
        this.userSttsCd = userSttsCd;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}
